Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.core
Class TomcatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.tomcat.core.TomcatException

All Implemented Interfaces:
  java.io.Serializable

public class TomcatException
extends java.lang.Exception

General Tomcat exception

Author:
  Conor MacNeill [conor@m64.com]
See Also:
  Serialized Form

Constructor Summary
`TomcatException()`
`TomcatException(java.lang.String msg)`
`TomcatException(java.lang.String msg, java.lang.Throwable rootCause)` Create a connector exception to encapsulate some underlying eception.
`TomcatException(java.lang.Throwable rootCause)` Create a connector exception to encapsulate some underlying eception.

Method Summary
`java.lang.Throwable` | `getNextException()` Get the underlying exception that caused this ConnectorException.
`java.lang.Throwable` | `getRootCause()` Get the underlying exception that caused this ConnectorException.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TomcatException

    public TomcatException()

### TomcatException

    public TomcatException(java.lang.String msg)

### TomcatException

    public TomcatException(java.lang.Throwable rootCause)

  Create a connector exception to encapsulate some underlying eception.

### TomcatException

    public TomcatException(java.lang.String msg,
                           java.lang.Throwable rootCause)

  Create a connector exception to encapsulate some underlying eception.

Method Detail

### getRootCause

    public java.lang.Throwable getRootCause()

  Get the underlying exception that caused this ConnectorException.

  Returns:
    the `Throwable` that caused this connector exception

### getNextException

    public java.lang.Throwable getNextException()

  Get the underlying exception that caused this ConnectorException. Follow the pattern from SQLException, etc.

  Returns:
    the `Throwable` that caused this connector exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.